Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.json
[Java] Class StringEscapeUtils

    java.lang.Object
      groovy.json.StringEscapeUtils

    public class StringEscapeUtils

Escapes and unescapes `String`s for Java, Java Script, HTML, XML, and SQL.

#ThreadSafe#

Note that this version is a stripped down version from Commons Lang 2.6 with only necessary methods for JSON builder

Authors:
  Apache Software Foundation
  Apache Jakarta Turbine
  Purple Technology
  Alexander Day Chaffee
  Antony Riley
  Helge Tesgaard
  Sean Brown
  Gary Gregory
  Phil Steitz
  Pete Gieser

Version:
  \$Id: StringEscapeUtils.java 1057072 2011-01-10 01:55:57Z niallp \$

Since:
  2.0

Constructor Summary
`StringEscapeUtils()`

Method Summary
`static java.lang.String` | `escapeJava(java.lang.String str)`
`static void` | `escapeJava(java.io.Writer out, java.lang.String str)`
`static java.lang.String` | `escapeJavaScript(java.lang.String str)`
`static void` | `escapeJavaScript(java.io.Writer out, java.lang.String str)`
`static java.lang.String` | `unescapeJava(java.lang.String str)`
`static void` | `unescapeJava(java.io.Writer out, java.lang.String str)`
`static java.lang.String` | `unescapeJavaScript(java.lang.String str)`
`static void` | `unescapeJavaScript(java.io.Writer out, java.lang.String str)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StringEscapeUtils

    public StringEscapeUtils()

  `StringEscapeUtils` instances should NOT be constructed in standard programming.

  Instead, the class should be used as:

      StringEscapeUtils.escapeJava("foo");

  This constructor is public to permit tools that require a JavaBean instance to operate.

Method Detail

### escapeJava

    public static java.lang.String escapeJava(java.lang.String str)

  Escapes the characters in a `String` using Java String rules.

  Deals correctly with quotes and control-chars (tab, backslash, cr, ff, etc.)

  So a tab becomes the characters `'\\'` and `'t'`.

  The only difference between Java strings and JavaScript strings is that in JavaScript, a single quote must be escaped.

  Example:

       input string: He didn't say, "Stop!"
       output string: He didn't say, \"Stop!\"

  Parameters:
    `str` - String to escape values in, may be null
  Returns:
    String with escaped values, `null` if null string input

### escapeJava

    public static void escapeJava(java.io.Writer out, java.lang.String str)

  Escapes the characters in a `String` using Java String rules to a `Writer`.

  A `null` string input has no effect.

  throws:
    IllegalArgumentException if the Writer is `null`
  throws:
    IOException if error occurs on underlying Writer
  Parameters:
    `out` - Writer to write escaped string into
    `str` - String to escape values in, may be null
  See Also:
    escapeJava(java.lang.String)

### escapeJavaScript

    public static java.lang.String escapeJavaScript(java.lang.String str)

  Escapes the characters in a `String` using JavaScript String rules.

  Escapes any values it finds into their JavaScript String form. Deals correctly with quotes and control-chars (tab, backslash, cr, ff, etc.)

  So a tab becomes the characters `'\\'` and `'t'`.

  The only difference between Java strings and JavaScript strings is that in JavaScript, a single quote must be escaped.

  Example:

       input string: He didn't say, "Stop!"
       output string: He didn\'t say, \"Stop!\"

  Parameters:
    `str` - String to escape values in, may be null
  Returns:
    String with escaped values, `null` if null string input

### escapeJavaScript

    public static void escapeJavaScript(java.io.Writer out, java.lang.String str)

  Escapes the characters in a `String` using JavaScript String rules to a `Writer`.

  A `null` string input has no effect.

  throws:
    IllegalArgumentException if the Writer is `null`
  throws:
    IOException if error occurs on underlying Writer
  Parameters:
    `out` - Writer to write escaped string into
    `str` - String to escape values in, may be null
  See Also:
    escapeJavaScript(java.lang.String)

### unescapeJava

    public static java.lang.String unescapeJava(java.lang.String str)

  Unescapes any Java literals found in the `String`. For example, it will turn a sequence of `'\'` and `'n'` into a newline character, unless the `'\'` is preceded by another `'\'`.

  Parameters:
    `str` - the `String` to unescape, may be null
  Returns:
    a new unescaped `String`, `null` if null string input

### unescapeJava

    public static void unescapeJava(java.io.Writer out, java.lang.String str)

  Unescapes any Java literals found in the `String` to a `Writer`.

  For example, it will turn a sequence of `'\'` and `'n'` into a newline character, unless the `'\'` is preceded by another `'\'`.

  A `null` string input has no effect.

  throws:
    IllegalArgumentException if the Writer is `null`
  throws:
    IOException if error occurs on underlying Writer
  Parameters:
    `out` - the `Writer` used to output unescaped characters
    `str` - the `String` to unescape, may be null

### unescapeJavaScript

    public static java.lang.String unescapeJavaScript(java.lang.String str)

  Unescapes any JavaScript literals found in the `String`.

  For example, it will turn a sequence of `'\'` and `'n'` into a newline character, unless the `'\'` is preceded by another `'\'`.

  Parameters:
    `str` - the `String` to unescape, may be null
  Returns:
    A new unescaped `String`, `null` if null string input
  See Also:
    unescapeJava(String)

### unescapeJavaScript

    public static void unescapeJavaScript(java.io.Writer out, java.lang.String str)

Groovy Documentation